@import '~@angular/material/theming';
@include mat-core();
// http://mcg.mbitson.com/#!?warn=%23d8a840&primary=%23aed74f&accent=%23156772&background=%23fefef4&background2=%2302071d&themename=FridgeApp

// $md-primary: (
//     50 : #e8e6e4,
//     100 : #c6c0ba,
//     200 : #a0968d,
//     300 : #796b5f,
//     400 : #5d4c3c,
//     500 : #402c1a,
//     600 : #3a2717,
//     700 : #322113,
//     800 : #2a1b0f,
//     900 : #1c1008,
//     A100 : #ff965c,
//     A200 : #ff7529,
//     A400 : #f55700,
//     A700 : #db4e00,
//     contrast: (
//         50 : #000000,
//         100 : #000000,
//         200 : #000000,
//         300 : #ffffff,
//         400 : #ffffff,
//         500 : #ffffff,
//         600 : #ffffff,
//         700 : #ffffff,
//         800 : #ffffff,
//         900 : #ffffff,
//         A100 : #000000,
//         A200 : #000000,
//         A400 : #ffffff,
//         A700 : #ffffff,
//     )
// );

// $md-primary: (
//     50 : #e3f4e3,
//     100 : #b9e3ba,
//     200 : #8bd18c,
//     300 : #5cbe5e,
//     400 : #39b03c,
//     500 : #16a219,
//     600 : #139a16,
//     700 : #109012,
//     800 : #0c860e,
//     900 : #067508,
//     A100 : #a4ffa5,
//     A200 : #71ff73,
//     A400 : #3eff40,
//     A700 : #25ff27,
//     contrast: (
//         50 : #000000,
//         100 : #000000,
//         200 : #000000,
//         300 : #000000,
//         400 : #ffffff,
//         500 : #ffffff,
//         600 : #ffffff,
//         700 : #ffffff,
//         800 : #ffffff,
//         900 : #ffffff,
//         A100 : #000000,
//         A200 : #000000,
//         A400 : #000000,
//         A700 : #000000,
//     )
// );

$md-primary: (
    50 : #e1ebe6,
    100 : #b3cdc0,
    200 : #81ac97,
    300 : #4e8b6d,
    400 : #28724d,
    500 : #02592e,
    600 : #025129,
    700 : #014823,
    800 : #013e1d,
    900 : #012e12,
    A100 : #67ff8e,
    A200 : #34ff68,
    A400 : #01ff42,
    A700 : #00e63b,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$md-accent: (
    50 : #eff4ea,
    100 : #d7e4cb,
    200 : #bdd3a8,
    300 : #a3c185,
    400 : #8fb36b,
    500 : #7ba651,
    600 : #739e4a,
    700 : #689540,
    800 : #5e8b37,
    900 : #4b7b27,
    A100 : #d8ffbe,
    A200 : #baff8b,
    A400 : #9cff58,
    A700 : #8dff3e,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$md-warn: (
    50 : #faf8f1,
    100 : #f4eedc,
    200 : #ece2c4,
    300 : #e4d6ac,
    400 : #dfce9b,
    500 : #d9c589,
    600 : #d5bf81,
    700 : #cfb876,
    800 : #cab06c,
    900 : #c0a359,
    A100 : #ffffff,
    A200 : #fffcf4,
    A400 : #ffedc1,
    A700 : #ffe6a7,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);



// $background: #F2F2F2;
// $background: #e3f4e3;
$background: #D3E6DC;
$foreground: #02071d;

// Foreground palette for light themes.
$mat-light-theme-foreground: (
        base: $foreground,
        divider: $dark-dividers,
        dividers: $dark-dividers,
        disabled: $dark-disabled-text,
        disabled-button: rgba($foreground, 0.26),
        disabled-text: $dark-disabled-text,
        hint-text: $dark-disabled-text,
        secondary-text: $dark-secondary-text,
        icon: rgba($foreground, 0.54),
        icons: rgba($foreground, 0.54),
        text: rgba($foreground, 0.87),
        slider-min: rgba($foreground, 0.87),
        slider-off: rgba($foreground, 0.26),
        slider-off-active: rgba($foreground, 0.38),
);

// Background palette for light themes.
$mat-light-theme-background: (
        status-bar: map_get($mat-grey, 300),
        app-bar: map_get($mat-grey, 100),
        background: map_get($mat-grey, 50),
        hover: rgba(black, 0.04), // TODO(kara): check style with Material Design UX
        card: $background,
        dialog: $background,
        disabled-button: rgba(black, 0.12),
        raised-button: $background,
        focused-button: $dark-focused,
        selected-button: map_get($mat-grey, 300),
        selected-disabled-button: map_get($mat-grey, 400),
        disabled-button-toggle: map_get($mat-grey, 200),
        unselected-chip: map_get($mat-grey, 300),
        disabled-list-option: map_get($mat-grey, 200),
);

$primary: mat-palette($md-primary, 500);
$accent: mat-palette($md-accent, 600, 100, 800);
$warn: mat-palette($md-warn, 600);
$theme: mat-light-theme($primary, $accent, $warn);

@include angular-material-theme($theme);
